Support-Forum

jDownloads for Joomla 3.x => jDownloads 3.9 => Topic started by: larbut01 on 26.09.2020 22:40:19

Title: Jdownloads 3.9 system requirements
Post by: larbut01 on 26.09.2020 22:40:19
It's stated that system requirements for Jdownloads 3.9 are the same as for Joomla, but they are not.
Jdownloads requires MySQL 5.7+, while Joomla only require MySQL 5.5.3 +
My upgrade was stopped because I'm on MySQL 5.6.47.

Am I missing something?

-Lars
Title: Re: Jdownloads 3.9 system requirements
Post by: ColinM on 27.09.2020 13:57:11
Hi

It certainly is our intention to maintain as much compatibility with Joomla! as far as possible.
That having been said we ran into a problem with the database level being too low to safely upgrade from jD 3.2 to 3.9.  It was necessary to change some of the database tables. For instance file_id needed to become just id.  'created_by' and modified neeed to be removed, and also all the cutom_fields needed removing as we now supported Joomla! fields.  Regettably we found that these changes needed a MySQL level of 5.7.  We were unaware of this as all of the test sites that Arno and I use, and also all ot the other users who voluntered to help test the beta version, that every one was using MySQL at 5.7 or higer or MariaDB at 10.2 or higher.
This was very 'painful' as it caused several users a problem.  It took us, mainly Arno, from August 27 to September 4th to resolve this problem.  To protect users we put in various restrictions as you found.  Most Websites running on CPanel or Plesk have an inbuilt mechanism to do the upgrade but it does mean a short 'down time'.
Incidentally could you please advise where it says jD system requirements are the same as for Joomla! - I have looked in some obvious places in jD3.9 documentation and on the main site
Best wishes
Colin
Title: Re: Jdownloads 3.9 system requirements
Post by: larbut01 on 27.09.2020 15:26:46
Thank you for the clarifications, Colin.
I'll schedule some downtime then.

The System Requirements are said to be the same as Joomla on the "Upgrading from jDownloads 3.2 to 3.9" page:
https://www.jdownloads.net/documentation-for-v3-9/getting-started-v3-9/upgrading-from-jdownloads-3-2-to-3-9
(See attachment)

Title: Re: Jdownloads 3.9 system requirements
Post by: ColinM on 27.09.2020 15:59:59
Hi
Thanks for pointing out the location. 

I have reworked that part to make it clear jD has a higher reqirement for the database.
Colin